package com.hdkj.lt.bf.service;

import com.hdkj.lt.bf.entity.dto.CityDTO;
import com.hdkj.lt.bf.entity.dto.StruTreeRespDTO;
import com.hdkj.lt.bf.entity.vo.StruTreeVO;

import java.util.List;

/**
 * @author luorui
 * @date 2025/5/12 10:35
 *
 * 组织机构查询服务
 */
public interface StruService {

    StruTreeRespDTO getStruTree(Long struId);

    StruTreeRespDTO getStruTreeFromCache(Long struId);

    List<CityDTO> getCityListId(Long struId);

    List<StruTreeVO> getStruList();

    List<Long> getCountyCodeListByStruId(Long struId);

}
